Package org.apache.tools.ant.taskdefs

## Class TaskOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.tools.ant.taskdefs.TaskOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    @Deprecated
    public class TaskOutputStream
    extends java.io.OutputStream

Deprecated.
since 1.2.x. Use LogOutputStream instead.
Redirects text written to a stream through the standard Ant logging mechanism. This class is useful for integrating with tools that write to System.out and System.err. For example, the following will cause all text written to System.out to be logged with "info" priority:

    System.setOut(new PrintStream(new TaskOutputStream(project, Project.MSG_INFO)));

As of Ant 1.2, this class is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `write​(int c)` Deprecated. Write a character to the output stream.

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write​(int c)
               throws java.io.IOException

Deprecated.
Write a character to the output stream. This method looks to make sure that there isn't an error being reported and will flush each line of input out to the project's log stream.

Specified by:
  `write` in class `java.io.OutputStream`
Parameters:
  `c` - the character to write
Throws:
  `java.io.IOException` - on error